콘텐츠로 건너뛰기

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/catalog/
작업
작업
작업
작업
작업
작업
작업
작업

지정한 그룹으로 번들 목록 가져오기Client-side

요청

Gets a list of bundles within a group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
보안
XsollaLoginUserJWT
경로
project_idinteger필수

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
external_idstring필수

External item group ID specified during creation.

예제: weapons
쿼리
limitinteger>= 1

페이지 요소 개수 제한입니다.

예제: limit=50
offsetinteger>= 0

목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

예제: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

기본값 "en"
additional_fields[]Array of strings

추가 필드의 목록입니다. 이러한 필드는 요청에서 보내는 경우 응답에 포함됩니다.

항목 열거형"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드입니다. 엑솔라에서 지원하는 국가국가 판별 프로세스에 대한 자세한 정보는 설명서를 확인하십시오.

예제: country=US
promo_codestring[ 1 .. 128 ] characters

고유한 대/소문자 구분 코드입니다. 문자와 숫자를 포함합니다.

예제: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

사용자가 사용할 수 없는 사용기간 제한 아이템을 표시합니다. 해당 아이템의 사용기간이 아직 시작되지 않았거나 이미 만료되었습니다.

기본값 0
예제: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/group/weapons?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

번들 목록을 성공적으로 수신했습니다.

본문application/json
has_moreboolean(Pagination_has-more)

페이지가 더 있다는 표시로 사용됩니다.

itemsArray of objects(Bundles_client_bundle)
items[].​attributesArray of objects(Bundles_client-attributes)

아이템에 해당하는 특성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

items[].​attributes[].​namestring

특성의 이름입니다.

예제: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

items[].​attributes[].​values[].​valuestring

특성의 값입니다.

예제: "Strategy"
items[].​bundle_typestring(Bundles_bundle_type)

번들 유형입니다. standard를 사용하여 아이템이 포함된 번들을 생성하고 번들에 포함된 아이템의 SKU를 지정합니다. partner_side_content를 사용하여 빈 번들을 생성하고 웹훅을 사용하여 직접 아이템을 추가합니다. 이 유형은 파트너 측의 카탈로그 개인 설정에만 사용됩니다.

열거형"standard""partner_side_content"
items[].​can_be_boughtboolean(Can_be_bought)

true일 경우 사용자는 아이템을 구매할 수 있습니다.

items[].​contentArray of objects(Bundles_client_content)

번들 패키지 콘텐츠입니다.

items[].​content[].​attributesArray of objects(Bundles_client-attributes)

아이템에 해당하는 특성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

items[].​content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

items[].​content[].​attributes[].​namestring

특성의 이름입니다.

예제: "Genre"
items[].​content[].​attributes[].​valuesArray of objects
items[].​content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

items[].​content[].​attributes[].​values[].​valuestring

특성의 값입니다.

예제: "Strategy"
items[].​content[].​descriptionstring

아이템 설명입니다.

예제: "Big Rocket - description"
items[].​content[].​groupsArray of objects(Bundles_groups_response)

아이템이 속한 그룹입니다.

items[].​content[].​groups[].​external_idstring
예제: "horror"
items[].​content[].​groups[].​nameobject

아이템의 이름입니다. 키가 "^[a-z]{2}" 형식의 로케일인 키/값 쌍을 포함해야 하며 값은 문자열입니다.

기본값 {"en":"Horror"}
예제: {"de":"Horror","en":"Horror"}
items[].​content[].​groups[].​name.​property name*string추가 속성
items[].​content[].​image_urlstring

이미지 URL입니다.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

items[].​content[].​limitsobject or null(Catalog_item_limits_with_hourly)

아이템 제한 사항입니다.

items[].​content[].​limits.​per_itemobject or null

한 개 아이템에 대한 아이템 제한 사항입니다.

items[].​content[].​limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
items[].​content[].​limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

예제: 5
items[].​content[].​limits.​per_userobject or null

사용자 한 명에 대한 아이템 제한 사항입니다.

items[].​content[].​limits.​per_user.​availableinteger

현재 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
items[].​content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
열거형"show""hide"
items[].​content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

아이템이 사용자의 반복 새로고침 기간을 제한합니다.

object or null
items[].​content[].​limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량.

예제: 5
items[].​content[].​namestring

아이템 이름입니다.

예제: "Big Rocket"
items[].​content[].​priceobject or null

아이템 가격입니다.

items[].​content[].​price.​amountstring

할인된 아이템 가격입니다.

예제: "100.99"
items[].​content[].​price.​amount_without_discountstring

아이템 가격입니다.

예제: "100.99"
items[].​content[].​price.​currencystring

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 정보는 설명서를 확인하십시오.

예제: "USD"
items[].​content[].​quantityinteger

패키지에 있는 아이템의 수량입니다.

예제: 250
items[].​content[].​skustring

고유한 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.big_rocket_1"
items[].​content[].​typestring

아이템 유형: virtual_good/virtual_currency/bundle.

예제: "virtual_currency"
items[].​content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
열거형"consumable""non_consumable""non_renewing_subscription"
예제: "non-consumable"
items[].​content[].​virtual_pricesArray of objects

가상 가격입니다.

items[].​content[].​virtual_prices[].​amountinteger

할인된 인게임 재화의 아이템 가격입니다.

예제: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

아이템 가격입니다.

예제: 200
items[].​content[].​virtual_prices[].​descriptionstring

인게임 재화 설명입니다.

예제: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

인게임 재화의 이미지입니다.

예제: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

아이템의 가격이 기본값인지 여부입니다.

예제: true
items[].​content[].​virtual_prices[].​namestring

인게임 재화 이름입니다.

예제: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

인게임 재화 아이템 SKU입니다.

예제: "vc_test"
items[].​content[].​virtual_prices[].​typestring

인게임 재화 유형입니다.

예제: "virtual_currency"
items[].​custom_attributesobject(json)(item-custom-attributes-response)

아이템 특성 및 값이 포함된 JSON 개체입니다.

items[].​descriptionstring or null(Bundles_client_description)

아이템 설명입니다.

items[].​groupsArray of objects(items_client_groups_response)

아이템이 속한 그룹입니다.

items[].​groups[].​external_idstring

그룹의 고유 식별자로, 일반적으로 API 요청 또는 외부 시스템에서 참조하는 데 사용됩니다.

예제: "exclusive"
items[].​groups[].​item_order_in_groupinteger

그룹 내 아이템 위치로, 표시 순서를 결정하는 데 사용됩니다. 이 필드는 additional_fields[] 쿼리 매개 변수를 통해 요청된 경우에만 응답에 포함됩니다.

예제: 1
items[].​groups[].​namestring

그룹의 이름입니다.

예제: "Exclusive"
items[].​image_urlstring or null(Bundles_image_url)

이미지 URL입니다.

items[].​is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

내부의 고유 아이템 ID입니다.

items[].​limitsobject or null(Catalog_item_limits_with_hourly)

아이템 제한 사항입니다.

items[].​limits.​per_itemobject or null

한 개 아이템에 대한 아이템 제한 사항입니다.

items[].​limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
items[].​limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

예제: 5
items[].​limits.​per_userobject or null

사용자 한 명에 대한 아이템 제한 사항입니다.

items[].​limits.​per_user.​availableinteger

현재 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
열거형"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

아이템이 사용자의 반복 새로고침 기간을 제한합니다.

object or null
items[].​limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량.

예제: 5
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

items[].​long_description.​arstring or null

아랍어

items[].​long_description.​bgstring or null

불가리아어

items[].​long_description.​cnstring or null

중국어(간체)

items[].​long_description.​csstring or null

체코어

items[].​long_description.​destring or null

독일어

items[].​long_description.​enstring or null

영어

items[].​long_description.​esstring or null

스페인어(스페인)

items[].​long_description.​frstring or null

프랑스어

items[].​long_description.​hestring or null

히브리어

items[].​long_description.​idstring or null

인도네시아어

items[].​long_description.​itstring or null

이탈리아어

items[].​long_description.​jastring or null

일본어

items[].​long_description.​kmstring or null

크메르어

items[].​long_description.​kostring or null

한국어

items[].​long_description.​lostring or null

라오스어

items[].​long_description.​mystring or null

버마어

items[].​long_description.​nestring or null

네팔어

items[].​long_description.​phstring or null

필리핀어

items[].​long_description.​plstring or null

폴란드어

items[].​long_description.​ptstring or null

포르투칼어

items[].​long_description.​rostring or null

로마니아어

items[].​long_description.​rustring or null

러시아어

items[].​long_description.​thstring or null

태국어

items[].​long_description.​trstring or null

터키어

items[].​long_description.​twstring or null

중국어(번체)

items[].​long_description.​vistring or null

베트남어

items[].​media_listArray of objects(Bundles_media_list)

번들의 추가 자산입니다.

items[].​media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
items[].​media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​namestring(Bundles_client_name)

아이템 이름입니다.

items[].​orderinteger(Bundles_order)

목록에서 번들의 주문 우선 순위입니다.

items[].​periodsArray of objects or null(item-periods)

아이템 판매 기간입니다.

items[].​periods[].​date_fromstring(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null(Bundles_price)

아이템 가격입니다.

items[].​price.​amountstring(Bundles_amount)^\d*\.?\d*$필수

할인된 아이템 가격입니다.

items[].​price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$필수

아이템 가격입니다.

items[].​price.​currencystring(Bundles_currency)필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다.

items[].​promotionsArray of objects(Catalog_item_promotions)

장바구니의 특정 아이템에 적용된 프로모션. 다음의 경우 배열이 반환됩니다.

  • 특정 아이템에 대한 할인 프로모션이 구성된 경우

  • 선택한 아이템 할인 설정이 있는 프로모션 코드가 적용된 경우

적용된 아이템 수준 프로모션이 없는 경우 빈 배열이 반환됩니다.

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

보너스 번들 아이템 유형입니다. bundle 보너스 아이템 유형에서만 사용할 수 있습니다.

열거형"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

보너스 아이템 이미지 URL입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

items[].​promotions[].​bonus[].​namestring

보너스 아이템 이름입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

보너스 아이템 유형입니다.

열거형"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유한 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

items[].​total_content_priceobject or null(Bundles_total_content_price)

번들 콘텐츠 가격의 합계입니다.

items[].​total_content_price.​amountstring

할인이 적용된 번들 콘텐츠 가격의 합계입니다.

예제: "100.99"
items[].​total_content_price.​amount_without_discountstring

번들 콘텐츠 가격의 합계입니다.

예제: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다.

items[].​typestring(Bundles_type)

아이템 유형입니다.

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

가상 가격입니다.

items[].​virtual_prices[].​amountinteger

할인된 인게임 재화의 아이템 가격입니다.

예제: 100
items[].​virtual_prices[].​amount_without_discountinteger

인게임 재화의 아이템 가격입니다.

예제: 200
items[].​virtual_prices[].​descriptionstring or null

인게임 재화 설명입니다.

예제: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

인게임 재화의 이미지입니다.

예제: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

아이템의 가격이 기본값인지 여부입니다.

예제: true
items[].​virtual_prices[].​namestring

인게임 재화 이름입니다.

예제: "Gold"
items[].​virtual_prices[].​skustring

인게임 재화 아이템 SKU입니다.

예제: "gold"
items[].​virtual_prices[].​typestring

인게임 재화 유형입니다.

예제: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

가치 포인트 아이템 보상입니다.

items[].​vp_rewards[].​amountinteger(value-point-amount)

가치 포인트의 금액입니다.

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

이미지 URL입니다.

items[].​vp_rewards[].​is_clanboolean(is_clan)

값 포인트가 클랜 보상 체인에서 사용되는지 여부입니다.

items[].​vp_rewards[].​item_idinteger(item_id)

내부의 고유 아이템 ID입니다.

items[].​vp_rewards[].​namestring(value-point-name)

가치 포인트 이름입니다.

items[].​vp_rewards[].​skustring(value-point-sku)

고유 가치 포인트 ID입니다.

응답
application/json
{ "has_more": true, "items": [ {} ] }

요청

Gets a specified bundle.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
보안
XsollaLoginUserJWT
경로
project_idinteger필수

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
skustring필수

번들 SKU입니다.

예제: kg_1
쿼리
promo_codestring[ 1 .. 128 ] characters

고유한 대/소문자 구분 코드입니다. 문자와 숫자를 포함합니다.

예제: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

사용자가 사용할 수 없는 사용기간 제한 아이템을 표시합니다. 해당 아이템의 사용기간이 아직 시작되지 않았거나 이미 만료되었습니다.

기본값 0
예제: show_inactive_time_limited_items=1
additional_fields[]Array of strings

추가 필드의 목록입니다. 이러한 필드는 요청에서 보내는 경우 응답에 포함됩니다.

항목 열거형"media_list""order""long_description""custom_attributes""item_order_in_group"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/sku/kg_1?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

지정한 번들을 성공적으로 수신했습니다.

본문application/json
attributesArray of objects(Bundles_client-attributes)

아이템에 해당하는 특성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

attributes[].​namestring

특성의 이름입니다.

예제: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

attributes[].​values[].​valuestring

특성의 값입니다.

예제: "Strategy"
bundle_typestring(Bundles_bundle_type)

번들 유형입니다. standard를 사용하여 아이템이 포함된 번들을 생성하고 번들에 포함된 아이템의 SKU를 지정합니다. partner_side_content를 사용하여 빈 번들을 생성하고 웹훅을 사용하여 직접 아이템을 추가합니다. 이 유형은 파트너 측의 카탈로그 개인 설정에만 사용됩니다.

열거형"standard""partner_side_content"
can_be_boughtboolean(Can_be_bought)

true일 경우 사용자는 아이템을 구매할 수 있습니다.

contentArray of objects(Bundles_client_content)

번들 패키지 콘텐츠입니다.

content[].​attributesArray of objects(Bundles_client-attributes)

아이템에 해당하는 특성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

content[].​attributes[].​namestring

특성의 이름입니다.

예제: "Genre"
content[].​attributes[].​valuesArray of objects
content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

content[].​attributes[].​values[].​valuestring

특성의 값입니다.

예제: "Strategy"
content[].​descriptionstring

아이템 설명입니다.

예제: "Big Rocket - description"
content[].​groupsArray of objects(Bundles_groups_response)

아이템이 속한 그룹입니다.

content[].​groups[].​external_idstring
예제: "horror"
content[].​groups[].​nameobject

아이템의 이름입니다. 키가 "^[a-z]{2}" 형식의 로케일인 키/값 쌍을 포함해야 하며 값은 문자열입니다.

기본값 {"en":"Horror"}
예제: {"de":"Horror","en":"Horror"}
content[].​groups[].​name.​property name*string추가 속성
content[].​image_urlstring

이미지 URL입니다.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
content[].​is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

content[].​limitsobject or null(Catalog_item_limits_with_hourly)

아이템 제한 사항입니다.

content[].​limits.​per_itemobject or null

한 개 아이템에 대한 아이템 제한 사항입니다.

content[].​limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
content[].​limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

예제: 5
content[].​limits.​per_userobject or null

사용자 한 명에 대한 아이템 제한 사항입니다.

content[].​limits.​per_user.​availableinteger

현재 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
열거형"show""hide"
content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

아이템이 사용자의 반복 새로고침 기간을 제한합니다.

object or null
content[].​limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량.

예제: 5
content[].​namestring

아이템 이름입니다.

예제: "Big Rocket"
content[].​priceobject or null

아이템 가격입니다.

content[].​price.​amountstring

할인된 아이템 가격입니다.

예제: "100.99"
content[].​price.​amount_without_discountstring

아이템 가격입니다.

예제: "100.99"
content[].​price.​currencystring

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 정보는 설명서를 확인하십시오.

예제: "USD"
content[].​quantityinteger

패키지에 있는 아이템의 수량입니다.

예제: 250
content[].​skustring

고유한 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.big_rocket_1"
content[].​typestring

아이템 유형: virtual_good/virtual_currency/bundle.

예제: "virtual_currency"
content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
열거형"consumable""non_consumable""non_renewing_subscription"
예제: "non-consumable"
content[].​virtual_pricesArray of objects

가상 가격입니다.

content[].​virtual_prices[].​amountinteger

할인된 인게임 재화의 아이템 가격입니다.

예제: 100
content[].​virtual_prices[].​amount_without_discountinteger

아이템 가격입니다.

예제: 200
content[].​virtual_prices[].​descriptionstring

인게임 재화 설명입니다.

예제: "Big Rocket - description"
content[].​virtual_prices[].​image_urlstring

인게임 재화의 이미지입니다.

예제: "http://image.png"
content[].​virtual_prices[].​is_defaultboolean

아이템의 가격이 기본값인지 여부입니다.

예제: true
content[].​virtual_prices[].​namestring

인게임 재화 이름입니다.

예제: "SHOTGUN FOR TRUE RAIDERS"
content[].​virtual_prices[].​skustring

인게임 재화 아이템 SKU입니다.

예제: "vc_test"
content[].​virtual_prices[].​typestring

인게임 재화 유형입니다.

예제: "virtual_currency"
custom_attributesobject(json)(item-custom-attributes-response)

아이템 특성 및 값이 포함된 JSON 개체입니다.

descriptionstring or null(Bundles_client_description)

아이템 설명입니다.

groupsArray of objects(items_client_groups_response)

아이템이 속한 그룹입니다.

groups[].​external_idstring

그룹의 고유 식별자로, 일반적으로 API 요청 또는 외부 시스템에서 참조하는 데 사용됩니다.

예제: "exclusive"
groups[].​item_order_in_groupinteger

그룹 내 아이템 위치로, 표시 순서를 결정하는 데 사용됩니다. 이 필드는 additional_fields[] 쿼리 매개 변수를 통해 요청된 경우에만 응답에 포함됩니다.

예제: 1
groups[].​namestring

그룹의 이름입니다.

예제: "Exclusive"
image_urlstring or null(Bundles_image_url)

이미지 URL입니다.

is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

내부의 고유 아이템 ID입니다.

limitsobject or null(Catalog_item_limits_with_hourly)

아이템 제한 사항입니다.

limits.​per_itemobject or null

한 개 아이템에 대한 아이템 제한 사항입니다.

limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

예제: 5
limits.​per_userobject or null

사용자 한 명에 대한 아이템 제한 사항입니다.

limits.​per_user.​availableinteger

현재 사용자가 구매할 수 있는 남은 아이템 수량.

예제: 3
limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
열거형"show""hide"
limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

아이템이 사용자의 반복 새로고침 기간을 제한합니다.

object or null
limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량.

예제: 5
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​enstring or null

영어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​idstring or null

인도네시아어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kmstring or null

크메르어

long_description.​kostring or null

한국어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​nestring or null

네팔어

long_description.​phstring or null

필리핀어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

media_listArray of objects(Bundles_media_list)

번들의 추가 자산입니다.

media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
namestring(Bundles_client_name)

아이템 이름입니다.

orderinteger(Bundles_order)

목록에서 번들의 주문 우선 순위입니다.

periodsArray of objects or null(item-periods)

아이템 판매 기간입니다.

periods[].​date_fromstring(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
priceobject or null(Bundles_price)

아이템 가격입니다.

price.​amountstring(Bundles_amount)^\d*\.?\d*$필수

할인된 아이템 가격입니다.

price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$필수

아이템 가격입니다.

price.​currencystring(Bundles_currency)필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다.

promotionsArray of objects(Catalog_item_promotions)

장바구니의 특정 아이템에 적용된 프로모션. 다음의 경우 배열이 반환됩니다.

  • 특정 아이템에 대한 할인 프로모션이 구성된 경우

  • 선택한 아이템 할인 설정이 있는 프로모션 코드가 적용된 경우

적용된 아이템 수준 프로모션이 없는 경우 빈 배열이 반환됩니다.

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

보너스 번들 아이템 유형입니다. bundle 보너스 아이템 유형에서만 사용할 수 있습니다.

열거형"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

보너스 아이템 이미지 URL입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

promotions[].​bonus[].​namestring

보너스 아이템 이름입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

보너스 아이템 유형입니다.

열거형"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유한 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

total_content_priceobject or null(Bundles_total_content_price)

번들 콘텐츠 가격의 합계입니다.

total_content_price.​amountstring

할인이 적용된 번들 콘텐츠 가격의 합계입니다.

예제: "100.99"
total_content_price.​amount_without_discountstring

번들 콘텐츠 가격의 합계입니다.

예제: "100.99"
total_content_price.​currencystring(Bundles_currency)

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다.

typestring(Bundles_type)

아이템 유형입니다.

virtual_pricesArray of objects(Bundles_virtual_prices)

가상 가격입니다.

virtual_prices[].​amountinteger

할인된 인게임 재화의 아이템 가격입니다.

예제: 100
virtual_prices[].​amount_without_discountinteger

인게임 재화의 아이템 가격입니다.

예제: 200
virtual_prices[].​descriptionstring or null

인게임 재화 설명입니다.

예제: "Most popular gold"
virtual_prices[].​image_urlstring or null

인게임 재화의 이미지입니다.

예제: "http://image.png"
virtual_prices[].​is_defaultboolean

아이템의 가격이 기본값인지 여부입니다.

예제: true
virtual_prices[].​namestring

인게임 재화 이름입니다.

예제: "Gold"
virtual_prices[].​skustring

인게임 재화 아이템 SKU입니다.

예제: "gold"
virtual_prices[].​typestring

인게임 재화 유형입니다.

예제: "virtual_currency"
vp_rewardsArray of objects(client-item-value-point-reward)

가치 포인트 아이템 보상입니다.

vp_rewards[].​amountinteger(value-point-amount)

가치 포인트의 금액입니다.

vp_rewards[].​image_urlstring(Common_admin-image_url)

이미지 URL입니다.

vp_rewards[].​is_clanboolean(is_clan)

값 포인트가 클랜 보상 체인에서 사용되는지 여부입니다.

vp_rewards[].​item_idinteger(item_id)

내부의 고유 아이템 ID입니다.

vp_rewards[].​namestring(value-point-name)

가치 포인트 이름입니다.

vp_rewards[].​skustring(value-point-sku)

고유 가치 포인트 ID입니다.

응답
application/json
{ "attributes": [], "bundle_type": "standard", "can_be_bought": true, "content": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "pricePoint_44056_1.", "groups": [], "image_url": null, "is_free": false, "item_id": 610316, "limits": { "per_user": {} }, "long_description": null, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "periods": [ {} ], "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [], "sku": "com.xsolla.kg_1", "total_content_price": { "amount": "10.99", "amount_without_discount": "10.99", "currency": "USD" }, "type": "bundle", "virtual_prices": [], "vp_rewards": [ {}, {} ] }
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

카탈로그

이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다.

작업
작업
작업
작업
작업